#include <System/ErrorMgr.h>
static char *compressedData;
static char *endOfCompressedData;

static char *unCompressedData;
static char *endOfUncompressedData;

inline void setCompressedBuffer(char *buff, long size) {
  compressedData = buff;
  endOfCompressedData = &compressedData[size];
}

inline void setUnCompressedBuffer(char *buff, long size) {
  unCompressedData = buff;
  endOfUncompressedData = &unCompressedData[size];
}

//returns -1 if past end of file
static inline unsigned int getUncompressedByte() {
  return 0; 
}

static inline unsigned char getCompressedByte() {
  int c = *compressedData++;
  ErrFatalDisplayIf(compressedData > endOfCompressedData, "Buff underflow");  
  return c;
}

static void putCompressedByte(unsigned char outByte) {
}

static inline void putDecompressedByte(unsigned char node) {
  *unCompressedData++ = node; 
  ErrFatalDisplayIf(unCompressedData > endOfUncompressedData,"Buff overflow");
}

